com.io7m.jpra.model.types

## Class TPacked.FieldPaddingBits

- java.lang.Object
- - com.io7m.jpra.model.types.TPacked.FieldPaddingBits

- All Implemented Interfaces:
    ModelElementType, TPacked.FieldType
  Enclosing class:
    TPacked

      public static final class TPacked.FieldPaddingBits
      extends Object
      implements TPacked.FieldType

  A packed padding field.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jranges.RangeInclusiveB` | `getBitRange()`
    `Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>>` | `getLexicalInformation()` Fetch the lexical information for the element.
    `TPacked` | `getOwner()`
    `Size<SizeUnitBitsType>` | `getSize()`
    `<A,E extends Exception> A` | `matchField(TPacked.FieldMatcherType<A,E> m)` Accept a matcher.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getOwner

          public TPacked getOwner()

      Specified by:
        `getOwner` in interface `TPacked.FieldType`
      Returns:
        The owning type

    - #### getBitRange

          public com.io7m.jranges.RangeInclusiveB getBitRange()

      Specified by:
        `getBitRange` in interface `TPacked.FieldType`
      Returns:
        The inclusive range of bits that this field spans

    - #### getSize

          public Size<SizeUnitBitsType> getSize()

      Specified by:
        `getSize` in interface `TPacked.FieldType`
      Returns:
        The size in bits

    - #### matchField

          public <A,E extends Exception> A matchField(TPacked.FieldMatcherType<A,E> m)
                                               throws E extends Exception

      Description copied from interface: `TPacked.FieldType`
      Accept a matcher.
      Specified by:
        `matchField` in interface `TPacked.FieldType`
      Type Parameters:
        `A` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `m` - The matcher
      Returns:
        The value returned by `m`
      Throws:
        `E` - If `m` raises `E`
        `E extends Exception`

    - #### getLexicalInformation

          public Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> getLexicalInformation()

      Description copied from interface: `ModelElementType`
      Fetch the lexical information for the element. This is used to localize error messages to a position in a file when referring to specific elements.
      Specified by:
        `getLexicalInformation` in interface `ModelElementType`
      Returns:
        The original lexical information, if any

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 <code@io7m.com> http://io7m.com